%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-gnocchi
Version:        12.4.0
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Gnocchi
License:        ASL 2.0

URL:            https://launchpad.net/puppet-gnocchi

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=12.4.0
Patch0001: 0001-Add-openstack-db-tag-to-db-sync-Exec-resource.patch
Patch0002: 0002-Do-not-assign-default-value-to-deprecated-parameters.patch
Patch0003: 0003-Make-providers-use-auth_url-for-authentication.patch
Patch0004: 0004-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch
Patch0005: 0005-Add-gnocchi-storage-s3-s3_bucket_prefix-into-s3-stor.patch
Patch0006: 0006-Configure-ceph_secret-as-secret.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-stdlib
Requires:       puppet-openstacklib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Gnocchi

%prep
%setup -q -n openstack-gnocchi-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/gnocchi/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/gnocchi/



%files
%{_datadir}/openstack-puppet/modules/gnocchi/


%changelog
* Fri Sep 27 2019 Steve Linabery <slinaber@redhat.com> 12.4.0-3
- Configure ceph_secret as secret

* Wed May 29 2019 Steve Linabery <slinaber@redhat.com> 12.4.0-2
- Add gnocchi::storage::s3::s3_bucket_prefix into s3 storage configuration

* Tue Oct 16 2018 Steve Linabery <slinaber@redhat.com> 12.4.0-1
- Update to 12.4.0
- Update Gemfile to pull spec_helper from stable/queens
- Make providers use auth_url for authentication
- Do not assign default value to deprecated parameters
- Add 'openstack-db' tag to db-sync Exec resource

* Tue Feb 20 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0



